ATARI800(1)

NAME
atari800 - Atari 800 Emulator, Version 2.1.0

SYNOPSIS
atari800 [options] [files...]

DESCRIPTION
atari800 emulates the Atari 800, Atari 800 XL, Atari 130 XE and Atari 5200 Games System.

  Options

-help
    Print complete and up-to-date list of command line switches

-v  Print emulator version

-verbose
    Display framerate when exiting

-config filename
    Specify an alternative configuration filename

-osa_rom filename
    Path to file containing Atari Rev.A Operating System. Used to override paths defined at compile time.

-osb_rom filename
    Path to file containing Atari Rev.B Operating System. Used to override paths defined at compile time.

-xlxe_rom filename
    Path to file containing Atari XL/XE Operating System. Used to override paths defined at compile time.

-5200_rom filename
    Path to file containing Atari 5200 Games System ROM. Used to override paths defined at compile time.

-basic_rom filename
    Path to file containing Atari BASIC ROM. Used to override paths defined at compile time.

-atari
    Emulate Atari 800

-xl Emulate Atari 800 XL

-xe Emulate Atari 130 XE

-320xe
    Emulate Atari 320 XE (Compy Shop)

-rambo
    Emulate Atari 320 XE (Rambo)

-5200
    Emulate Atari 5200

-emuos
    Use EmuOS

-a  Use Atari OS/A for Atari 800

-b  Use Atari OS/B for Atari 800

-c  Enable RAM between 0xc000 and 0xcfff in Atari 800

-axlon <n>
    Use Atari 800 Axlon memory expansion: <n> k total RAM

-axlon0f
    Use Axlon shadow at 0x0fc0-0x0fff

-mosaic <n>
    Use 400/800 Mosaic memory expansion: <n> k total RAM

-pal
    Emulate PAL TV mode

-ntsc
    Emulate NTSC TV mode

-nobasic
    Used to disable Basic when starting the emulator in XL/XE mode. Simulates the Option key being held down during system boot.

-basic
    Turn on Atari BASIC ROM

-cart <filename>
    Insert cartridge (CART or raw format)

-run <filename>
    Run Atari program (EXE, COM, XEX, BAS, LST)

-state <filename>
    Load saved-state file

-tape <filename>
    Attach cassette image (CAS format or raw file)

-boottape <filename>
    Attach cassette image and boot it

-1400
    Emulate the Atari 1400XL

-xld
    Emulate the Atari 1450XLD

-bb Emulate the CSS Black Box

-mio
    Emulate the ICD MIO board

-nopatch
    Normally the OS is patched giving very fast I/O. This options prevents the patch from being applied so that the OS accesses the serial port hardware directly. This option will probably never be needed since programs that access the serial hardware should work even if the OS has been patched.

-nopatchall
    Don't patch OS at all, H:, P: and R: devices won't work

-H1 <path>
    Set path for H1: device

-H2 <path>
    Set path for H2: device

-H3 <path>
    Set path for H3: device

-H4 <path>
    Set path for H4: device

-Hpath <path>
    Set path for Atari executables on the H: device

-hreadonly
    Enable read-only mode for H: device

-hreadwrite
    Disable read-only mode for H: device

-devbug
    Put debugging messages for H: and P: devices in log file

-rtime
    Enable R-Time 8 emulation

-nortime
    Disable R-Time 8 emulation

rdevice [<dev>]
    Enable R: device. If <dev> is specified then it's used as host serial device name (e.g. /dev/ttyS0 on linux). If there is no <dev> specified then R: is directed to network.

-mouse off
    Do not use mouse

-mouse pad
    Emulate paddles

-mouse touch
    Emulate Atari Touch Tablet

-mouse koala
    Emulate Koala Pad

-mouse pen
    Emulate Light Pen

-mouse gun
    Emulate Light Gun

-mouse amiga
    Emulate Amiga mouse

-mouse st
    Emulate Atari ST mouse

-mouse trak
    Emulate Atari Trak-Ball

-mouse joy
    Emulate joystick using mouse

-mouseport <num>
    Set mouse port 1-4 (default 1)

-mousespeed <num>
    Set mouse speed 1-9 (default 3)

-multijoy
    Emulate MultiJoy4 interface

-directmouse
    Use mouse's absolute position

-cx85 <num>
    Emulate CX85 numeric keypad on port <num>

-grabmouse
    SDL only, prevent mouse pointer from leaving the window

-record <filename>
    Record all input events to <filename>. Can be used for gaming contests (highest score etc).

-playback <filename>
    Playback input events from <filename>. Watch an expert play the game.

-refresh
    Controls screen refresh rate. A numerical value follows this option which specifies how many emulated screen updates are required before the actual screen is updated. This value effects the speed of the emulation: A higher value results in faster CPU emulation but a less frequently updated screen.

-artif <mode>
    Set artifacting mode 0-4 (0 = disable)

-paletten/p <filename>
    Read Atari NTSC/PAL colors from ACT file

-blackn/p <num>
    Set NTSC/PAL black level 0-255

-whiten/p <num>
    Set NTSC/PAL white level 0-255

-colorsn/p <num>
    Set NTSC/PAL color intensity

-genpaln/p
    Generate artifical NTSC/PAL palette

-colshiftn/p <num>
    Set color shift (-genpal only)

-screenshots <pattern>
    Set filename pattern for screenshots. Use to override the default atari000.png, atari001.png etc. filenames. Hashes are replaced with raising numbers. Existing files are overwritten only if all the files defined by the pattern exist.

-showspeed
    Show percentage of actual speed

-sound
    Enable sound

-nosound
    Disable sound

-dsprate <freq>
    Set mixing frequency (Hz)

-snddelay <time>
    Set sound delay (milliseconds)

  Curses Options

-left
    Use columns 0 to 39

-central
    Use columns 20 to 59

-right
    Use columns 40 to 79

-wide1
    Use columns 0 to 79. In this mode only the even character positions are used. The odd locations are filled with spaces.

-wide2
    Use columns 0 to 79. This mode is similar to -wide1 except that the spaces are in reverse video if the previous character was also in reverse video.

  Falcon Options

-interlace <x>
    Generate Falcon screen only every x frame

-videl
    Direct VIDEL programming (Falcon/VGA only)

-double
    Double the screen size on NOVA

-delta
    Delta screen output (differences only)

-joyswap
    Swap joysticks

  Java NestedVM

-scale <n>
    Scale width and height by <n>

  SDL Options

-fullscreen
    Start in fullscreen mode (tries to switch to 336x240 resolution)

-windowed
    Start in a window (does not change your working resolution)

-rotate90
    Run the emulator with rotated display (useful for devices with 240x320 screen)

-width number-of-pixels
    Host horizontal resolution for fullscreen

-height number-of-pixels
    Host vertical resolution for fullscreen

-bpp number-of-bits
    Host color depth for running in fullscreen

-audio16
    Enable 16-bit sound output

-nojoystick
    Do not initialize SDL joysticks

-joy0 path-to-device
    Define path to device used in LPTjoy 0. Available on linux-ia32 only.

-joy1 path-to-device
    Define path to device used in LPTjoy 1. Available on linux-ia32 only.

-ntscemu
    Emulate NTSC composite video (640x480x16 only) This includes NTSC TV artifacts. "-artif" is not needed in this mode and will not work. This mode does not use a palette. The video signal is emulated instead. Palette options such as -genpaln have no effect in this mode. The following items are for -ntscemu only:

-ntsc_hue <n>
    Set NTSC hue -1..1 (like TV Tint control)

-ntsc_sat <n>
    Set NTSC saturation (like TV Colour control)

-ntsc_cont <n>
    Set NTSC contrast (also called white level)

-ntsc_bright <n>
    Set NTSC brightness (also called black level)

-ntsc_sharp <n>
    Set NTSC sharpness

-ntsc_burst <n>
    Set NTSC burst phase (artificating colours) (CTIA?) Drol, Choplifter, Ultima: 0.70

-ntsc_gauss <n>
    Set NTSC Gaussian factor (can affect artifacting colours, sharpness and ghosting)

-ntsc_gamma <n>
    Set NTSC gamma adjustment

-ntsc_ramp <n>
    Set NTSC saturation ramp factor (amount by which bright colours become desaturated or washed out)

-scanlines <n>
    Set scanlines percentage (ntscemu only)

-scanlinesnoint
    Disable scanlines interpolation (ntscemu only)

-proto80
    Emulate a prototype 80 column board for the 1090

-xep80
    Emulate the XEP80

-xep80port <n>
    Use XEP80 on joystick port <n>

  X11 Options

-small
    Run the emulator in a small window where each Atari 800 pixel is represented by one X Window pixel

-large
    Runs the emulator in a large window where each Atari 800 pixel is represented by a 2x2 X Window rectange. This mode is selected by default.

-huge
    Runs the emulator in a huge window where each Atari 800 pixel is represented by a 3x3 X Window rectange

-clip_x number-of-pixels
    Set left offset for clipping

-clip_width number-of-pixels
    Set the width of the clipping-area

-clip_y number-of-pixels
    Set top offset for clipping

-clip_height number-of-pixels
    Set the height of the clipping-area

-private_cmap
    Use private colormap

-sio
    Show SIO monitor

-x11bug
    Enable debug code in atari_x11.c

-keypad
    Keypad mode

KEYBOARD, JOYSTICK AND OTHER CONTROLLERS
F1  Built in user interface
F2  Option key
F3  Select key
F4  Start key
F5  Reset key ("warm reset")
Shift+F5
    Reboot ("cold reset")
F6  Help key (XL/XE only)
F7  Break key
F8  Enter monitor
F9  Exit emulator
F10 Save screenshot
Shift+F10
    Save interlaced screenshot
Alt+R
    Run Atari program
Alt+D
    Disk management
Alt+C
    Cartridge management
Alt+Y
    Select system
Alt+O
    Sound settings
Alt+W
    Sound recording start/stop
Alt+S
    Save state file
Alt+L
    Load state file
Alt+A
    About the emulator
Insert
    Insert line (Atari Shift+'>')
Ctrl+Insert
    Insert character (Atari Ctrl+'>')
Shift+Ctrl+Insert
    Shift+Ctrl+'>'
Delete
    Delete line (Atari Shift+Backspace)
Shift+Backspace
    Delete line (Atari Shift+Backspace)
Ctrl+Delete
    Delete character (Atari Ctrl+Backspace)
Ctrl+Backspace
    Delete character (Atari Ctrl+Backspace)
Shift+Ctrl+Delete
    Shift+Ctrl+Backspace
Shift+Ctrl+Backspace
    Shift+Ctrl+Backspace
Home
    Clear (Atari Shift+'<')
Ctrl+Home
    Ctrl+'<' (also clears screen)
Shift+Ctrl+Home
    Shift+Ctrl+'<'
~   Inverse video
Up  Up (Atari Ctrl+'-')
Down
    Down (Atari Ctrl+'=')
Left
    Left (Atari ctrl+'+')
Right
    Right (Atari ctrl+'*')
Ctrl+Up
    -
Ctrl+Down
    =
Ctrl+Left
    +
Ctrl+Right
    *
Shift+Up
    _ (Atari Shift+'-')
Shift+Down
    | (Atari Shift+'=')
Shift+Left
    (Atari Shift+'+')
Shift+Right
    ^ (Atari Shift+'*')
Shift+Ctrl+Up
    Shift+Ctrl+-
Shift+Ctrl+Down
    Shift+Ctrl+=
Ctrl+'\'
    Ctrl+Esc (Workaround for Windows)
Shift+Ctrl+'\'
    Shift+Ctrl+Esc (Workaround for Windows)
CX85 Keypad (if enabled):
host keypad 0123456789-.
    0123456789-.
host keypad /
    NO
host keypad Ctrl+/
    ESCAPE
host keypad *
    DELETE
host keypad +
    YES
host keypad Enter
    +ENTER
Paddles, Atari touch tablet, Koala pad, light pen, light gun, ST/Amiga mouse, Atari trak-ball, joystick and Atari 5200 analog controller are emulated using mouse on ports that support it. See the options above for how to enable mouse.

  Basic
No function keys or Alt+letter shortcuts. Use Ctrl+C to enter the monitor. Controllers not supported in this version.

  Curses
F10 (Save screenshot) does not work in the default CURSES_BASIC build. Shift+F5 and Shift+F10 don't work at all. Avoid Ctrl + C, H, J, M, Q, S and Z. The remaining control characters can be typed. Control characters are displayed on the screen with the associated upper case character in bold. Controllers not supported in this version.

  Falcon
Help
    Help key (XL/XE)
Joystick 0 is operated by the numeric keypad (make sure that the numeric keypad has been enabled).
        7 8 9
         \|/
        4 5 6
         /|\
        1 2 3
        And 0 is the fire key. Mouse not supported in this version.

  SDL
`   Atari/Inverse key
LSUPER
    Atari/Inverse key (unusable under Windows)
RSUPER
    CapsToggle (+Shift = CapsLock)
LAlt+F
    Switch fullscreen (probably doesn't work in Windows)
LAlt+G
    Switch WIDTH_MODE (so you can set 320x240)
LAlt+B
    Switch BLACK-AND-WHITE
LAlt+J
    Swap keyboard_emulated joysticks
LAlt+E
    Switch bpp (for debug only, will be removed soon)
LAlt+M
    Grab mouse (prevents mouse pointer from leaving the window) These keys work with the NTSC composite video emualtion (-ntscemu): (This interface should be considered experimental and is subject to change)
LAlt+1
    Decrease NTSC sharpness
LAlt+2
    Increase NTSC sharpness
LAlt+3
    Decrease NTSC saturation (like TV Colour control)
LAlt+4
    Increase NTSC saturation
LAlt+5
    Decrease NTSC brightness (also called black level)
LAlt+6
    Increase NTSC brightness
LAlt+7
    Decrease NTSC contrast (also called white level)
LAlt+8
    Increase NTSC contrast
LAlt+9
    Decrease NTSC burst phase (use this to change artifacting colours)
LAlt+0
    Increase NTSC burst phase
LAlt+-
    Decrease NTSC Gaussian factor (ghosting, sharpness, artif colours)
LAlt+=
    Increase NTSC Gaussian factor (ghosting, sharpness, artif colours)
LAlt+[
    Decrease scanlines percentage (NTSC mode only)
LAlt+]
    Increase scanlines percentage (NTSC mode only)
LAlt+;
    Decrease NTSC hue (like TV Tint control)
LAlt+'
    Increase NTSC hue (like TV Tint control)
LAlt+Ins
    Decrease NTSC saturation ramp(reduce saturation for bright colours)
LAlt+Ins
    Increase NTSC saturation ramp(reduce saturation for bright colours)
LAlt+Shift+X
    Enable/disable XEP80 screen (use with -xep80)
Apart from standard joysticks (handled by the SDL) up to two keyboard joysticks are supported. The keys used for joystick directions and the trigger can be freely defined in the config UI (Controller Config -> Define layout). Keyboard joystick emulation can be enabled/disabled in the Controller Config. By default, joy 0 is enabled and joy 1 is disabled (to not steal normal AWDS keys in the emulator).

  X11
Alt Atari key (either Alt key will work)
Joystick 0 is operated by the mouse position relative to the center of the screen. The mouse button acts as the trigger. On Linux, standard joysticks are also supported.

FILES

/usr/share/atari800/ATARIOSA.ROM
    Atari O/S A

/usr/share/atari800/ATARIOSB.ROM
    Atari O/S B

/usr/share/atari800/ATARIXL.ROM
    Atari 800 XL O/S

/usr/share/atari800/ATARI5200.ROM
    Atari 5200 O/S

/usr/share/atari800/ATARIBAS.ROM
    Atari Basic

BUGS
See the BUGS file.